#
# spec file for package python-atomicwrites-doc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# This package allows us to test the package without a dependency loop with python-pytest
# Please do not delete it

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-atomicwrites-doc
Version:        1.1.5
Release:        150000.3.2.1
Summary:        Documentation for the Python atomic write support
License:        MIT
Group:          Documentation/HTML
Url:            https://github.com/untitaker/python-atomicwrites
Source:         https://files.pythonhosted.org/packages/source/a/atomicwrites/atomicwrites-%{version}.tar.gz
BuildRequires:  %{python_module atomicwrites}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-Sphinx
Provides:       %{python_module atomicwrites-doc = %{version}}
BuildArch:      noarch

%description
Atomic file writes for python.
Features that distinguish it from other similar libraries:

- Race-free assertion that the target file doesn't yet exist. This can be
  controlled with the 'overwrite' parameter.

- high-level API that wraps a very flexible class-based API.

This package contains the documentation for both python2 and python3 versions
of python-atomicwrites

%prep
%setup -q -n atomicwrites-%{version}

%build
pushd docs
make html
rm _build/html/.buildinfo
popd

%install
# not needed

%check
%{python_expand rm -rf tests/__pycache__
export PYTHONDONTWRITEBYTECODE=1
py.test-%{$python_bin_suffix}
}

%files
%defattr(-,root,root,-)
%doc docs/_build/html
%doc README.rst
%license LICENSE

%changelog
* Wed Jul 18 2018 tchvatal@suse.com
- Versionify the provides to make old brp-checks happy
* Thu Jun  7 2018 toddrme2178@gmail.com
- Create separate -doc subpackage to build docs.
- Run tests in -doc subpackage to avoid dependency loop with
  python-pytest.
- Use license tag
* Fri Jun 30 2017 aloisio@gmx.com
- Converted to single-spec
* Wed Sep 21 2016 arun@gmx.de
- update to version 1.1.5:
  * Fix toxfile (#21)
  * Make atomic_write work on paths with no directory separator (#20)
  * Fix formatting
  * Skip stylecheck under py26
  * Add contributing.rst
  * Fix tox.ini
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar 26 2016 arun@gmx.de
- update to version 1.0.0:
  * Fix unintentional exception clobbering when rollback fails
  * Remove unused variable (fixes an unused variable warning)
  * Update copyright notice
  * Fix appveyor build
* Mon Feb 15 2016 arun@gmx.de
- update to version 0.1.9:
  * Fix UnboundLocalError
* Tue Jan 19 2016 sleep_walker@opensuse.org
- clean the spec file (not only) with spec-cleaner
- fix %%check part
* Mon Jan 18 2016 sleep_walker@opensuse.org
- let there be python3-atomicwrites
